Name:           perl-Email-MessageID
Version:        1.408
Release:    1%{?dist}
Summary:        Generate world unique message-ids

License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Email-MessageID
Source0:        https://cpan.metacpan.org/modules/by-module/Email/Email-MessageID-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.12
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(overload)
BuildRequires:  perl(Sys::Hostname)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Sys::Hostname)
Suggests:       perl(Sys::Hostname::Long)

%description
Message-ids are optional, but highly recommended, headers that identify
a message uniquely. This software generates a unique message-id.


%prep
%setup -q -n Email-MessageID-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} -c %{buildroot}


%check
unset AUTHOR_TESTING
make test


%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Email/
%{_mandir}/man3/Email::MessageID.3*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.408-1
- initial build
